[arch-commits] Commit in polkit/repos (6 files)
Jan de Groot
jgc at archlinux.org
Fri Jan 20 12:48:07 UTC 2017
Date: Friday, January 20, 2017 @ 12:48:07
Author: jgc
Revision: 287013
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
polkit/repos/testing-i686/
polkit/repos/testing-i686/PKGBUILD
(from rev 287012, polkit/trunk/PKGBUILD)
polkit/repos/testing-i686/polkit.install
(from rev 287012, polkit/trunk/polkit.install)
polkit/repos/testing-x86_64/
polkit/repos/testing-x86_64/PKGBUILD
(from rev 287012, polkit/trunk/PKGBUILD)
polkit/repos/testing-x86_64/polkit.install
(from rev 287012, polkit/trunk/polkit.install)
-------------------------------+
testing-i686/PKGBUILD | 52 ++++++++++++++++++++++++++++++++++++++++
testing-i686/polkit.install | 18 +++++++++++++
testing-x86_64/PKGBUILD | 52 ++++++++++++++++++++++++++++++++++++++++
testing-x86_64/polkit.install | 18 +++++++++++++
4 files changed, 140 insertions(+)
Copied: polkit/repos/testing-i686/PKGBUILD (from rev 287012, polkit/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2017-01-20 12:48:07 UTC (rev 287013)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=polkit
+pkgver=0.113+29+g3272a98
+pkgrel=1
+pkgdesc="Application development toolkit for controlling system-wide privileges"
+arch=(i686 x86_64)
+license=(LGPL)
+url="http://www.freedesktop.org/wiki/Software/polkit"
+depends=(glib2 pam expat systemd js)
+makedepends=(intltool gtk-doc gobject-introspection git autoconf-archive)
+install=polkit.install
+_commit=3272a988655c3236b55bad70e9a3af20857f384b # master
+source=("git+https://anongit.freedesktop.org/git/polkit#commit=$_commit")
+md5sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --libexecdir=/usr/lib/polkit-1 \
+ --enable-libsystemd-login=yes --disable-static \
+ --enable-gtk-doc --with-os-type=redhat
+
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname
+ make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+
+ chown root:102 "$pkgdir"/{etc,usr/share}/polkit-1/rules.d
+ chmod 750 "$pkgdir"/{etc,usr/share}/polkit-1/rules.d
+}
Copied: polkit/repos/testing-i686/polkit.install (from rev 287012, polkit/trunk/polkit.install)
===================================================================
--- testing-i686/polkit.install (rev 0)
+++ testing-i686/polkit.install 2017-01-20 12:48:07 UTC (rev 287013)
@@ -0,0 +1,18 @@
+post_install() {
+ getent group polkitd >/dev/null || groupadd -g 102 polkitd
+ getent passwd polkitd >/dev/null || useradd -c 'Policy Kit Daemon' -u 102 -g polkitd -G proc -d '/' -s /usr/bin/nologin polkitd
+ passwd -l polkitd &>/dev/null
+}
+
+post_upgrade() {
+ post_install
+
+ if (( $(vercmp $2 0.113-2) < 0 )); then
+ usermod -aG proc -s /usr/bin/nologin polkitd
+ fi
+
+ if (( $(vercmp $2 0.113-4) < 0 )); then
+ chown root:102 /{etc,usr/share}/polkit-1/rules.d
+ chmod 750 /{etc,usr/share}/polkit-1/rules.d
+ fi
+}
Copied: polkit/repos/testing-x86_64/PKGBUILD (from rev 287012, polkit/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2017-01-20 12:48:07 UTC (rev 287013)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=polkit
+pkgver=0.113+29+g3272a98
+pkgrel=1
+pkgdesc="Application development toolkit for controlling system-wide privileges"
+arch=(i686 x86_64)
+license=(LGPL)
+url="http://www.freedesktop.org/wiki/Software/polkit"
+depends=(glib2 pam expat systemd js)
+makedepends=(intltool gtk-doc gobject-introspection git autoconf-archive)
+install=polkit.install
+_commit=3272a988655c3236b55bad70e9a3af20857f384b # master
+source=("git+https://anongit.freedesktop.org/git/polkit#commit=$_commit")
+md5sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --libexecdir=/usr/lib/polkit-1 \
+ --enable-libsystemd-login=yes --disable-static \
+ --enable-gtk-doc --with-os-type=redhat
+
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname
+ make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+
+ chown root:102 "$pkgdir"/{etc,usr/share}/polkit-1/rules.d
+ chmod 750 "$pkgdir"/{etc,usr/share}/polkit-1/rules.d
+}
Copied: polkit/repos/testing-x86_64/polkit.install (from rev 287012, polkit/trunk/polkit.install)
===================================================================
--- testing-x86_64/polkit.install (rev 0)
+++ testing-x86_64/polkit.install 2017-01-20 12:48:07 UTC (rev 287013)
@@ -0,0 +1,18 @@
+post_install() {
+ getent group polkitd >/dev/null || groupadd -g 102 polkitd
+ getent passwd polkitd >/dev/null || useradd -c 'Policy Kit Daemon' -u 102 -g polkitd -G proc -d '/' -s /usr/bin/nologin polkitd
+ passwd -l polkitd &>/dev/null
+}
+
+post_upgrade() {
+ post_install
+
+ if (( $(vercmp $2 0.113-2) < 0 )); then
+ usermod -aG proc -s /usr/bin/nologin polkitd
+ fi
+
+ if (( $(vercmp $2 0.113-4) < 0 )); then
+ chown root:102 /{etc,usr/share}/polkit-1/rules.d
+ chmod 750 /{etc,usr/share}/polkit-1/rules.d
+ fi
+}
More information about the arch-commits
mailing list